var cargarInicio=true;
var idGamaNueva="";
$( document ).ready(function() {
	
	$("#botoneraModificar").show();
	    
	$("#bt_Volver").bind("click", volver);
	$("#bt_guardar").bind("click", altaGama);
	
	$("#feedbacknuevoGama").rup_feedback({
		type : "ok",
		block : false,
		closeLink : true
	});
});

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});


function volver(){
	if ($("#ventanaOrigen").val()=="mantGamas"){
		window.location = "/aa20bMaqPartesWar/gamas/maintVolver";	
	}else{
		history.back();	
	}
}

function altaGama(){
	
	//Hay que habilitar los campos para que lleguen al controller
	//$("#idgama").attr('disabled',false);
	
	// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
	
	var properties={
			url:"../gamas/alta",
			feedback:$("#feedbacknuevoGama"),
			dataType: "json",
			 beforeSend : function(data) {
					//Mostrar div de sincronizando
				  $("#dialogoGuardar").rup_dialog(
							{
								type : $.rup.dialog.DIV,
								height : 200,
								width : 500,
								modal : true,
								showLoading : true,
								autoOpen : false,
								title : $.rup.i18n.app.mensajesEdificios.guardando
							});
					$("#dialogoGuardar").rup_dialog("open");
			  },
			 error: function() {
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	$("#feedbacknuevoGama").rup_feedback("set", $.rup.i18n.app.accionesRegistros.errorguardar, "error");			

			 },
			 success: function(data2){
				 $("#dialogoGuardar").rup_dialog("close");
				  	$("#dialogoGuardar").rup_dialog("destroy");
				 	if (data2!=null){
						 $("#feedbacknuevoGama").rup_feedback("set", $.rup.i18n.app.accionesRegistros.guardadook, "ok");
						 //ahora abrimos el gama en modo edicion
						 idGamaNueva = data2.idgama;
						 editarGama();
				 	};
			 },
			 validate: {
				 rules: {
						"cgama":{required:true},
						"egama":{required:true},
						"textoServicio" : {required:true},
						"textoClase" : {required:true}
				 }
			 }
			};
			$("#nuevoGamaForm").rup_form(properties);
			$("#nuevoGamaForm").submit();
		
}
function volver(){
	window.history.back();
}

function editarGama(){
	
    // enviamos el form con el idGama para la busqueda
	buscaGamaForm.idGamaBusc.value = idGamaNueva;
	buscaGamaForm.submit();
}

/********************************* CLASES  ****************************************************************/
function btn_BuscarClases(){

	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clasesAlta/obtenerClasesAlta",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	if (data[i].idclase > 0) {
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
              	}
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupaClases
	$("#lupaClases").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.clasesVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaClases",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la clase y activo seleccionado
	        		$("#idClase").val($("#idTablaClases option:selected").val());
	        		var texto = $("#idTablaClases option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoClase").val(texto);

	        		$("#lupaClases").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaClases",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaClases").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/********************************* CLASES  ****************************************************************/

/********************************* SERVICIOS ****************************************************************/

function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServiciosAltaNoCero";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de servicio 
	        		$("#idServicio").val($("#idTablaServicios option:selected").val());
	        		var texto = $("#idTablaServicios option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoServicio").val(texto);

	        		$("#lupaServicios").rup_dialog("close");
	        	}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}
/********************************* FIN SERVICIOS ****************************************************************/